$(document).ready(function(){
	
	chrome.runtime.sendMessage({ action: 'getTabId' }, (response) => {
		if (response && response.tabId) {
			const tabId = response.tabId;
			chrome.storage.local.get(['endpoint', 'frequency', tabId.toString()], function (result) {
				if(result){
					const endpoint = result.endpoint;
					const frequency = result.frequency;
					const param=result[tabId.toString()];
					if(param){
						$('body').prepend('<div style="position: fixed; bottom: 0; left: 0; width: 100%; background-color: rgba(255, 0, 0, 0.7); color: white; text-align: center; padding: 10px; font-size: 16px; z-index: 9999;">This is a Parser Tab</div>');
						if(param.id){
							let control_text=param.control_text;
							if (!control_text || $('body').html().indexOf(control_text) !== -1) {	
								var localBusinessData = null;
								$("script[type='application/ld+json']").each(function() {
								    var jsonData = $(this).html();
									var parsedData = JSON.parse(jsonData);
									var localBusiness = parsedData.find(function(item) {
									  return item['@type'] === 'LocalBusiness';
									});
									if (localBusiness) {
									  localBusinessData = localBusiness;
									}
								});
								
								var site=$('#hours-company-info-website-link').attr('href');
								localBusinessData.site=site;
								
								var descr=$('div#about span').text();
								localBusinessData.description=descr;

								console.log(localBusinessData); // выводим в консоль
								 
								$.ajax({
									  url: endpoint+'?action=save',
									  contentType: 'application/json',
									  type: 'POST',
									  data: JSON.stringify({
										id: param.id,
										url: location.href,
										data: localBusinessData
									  }),
									  success: function(){
										  setTimeout(function() {loadNewPage(endpoint, tabId);}, frequency*1000+1);
									  }
								});
							}
						}else{
							loadNewPage(endpoint, tabId);
						}
					}	
				}
			});
		}
	});

});
function loadNewPage(endpoint, tabId){
	$.getJSON(endpoint+'?action=get_url', function(data){
		chrome.storage.local.set({ [tabId.toString()]: data }, function() {
			location.href=data.url;
		});
	});
}
