document.getElementById('saveBtn').addEventListener('click', () => {
  const endpoint = document.getElementById('endpoint').value;
  const frequency = parseFloat(document.getElementById('request_frequency').value);

  if (!endpoint || isNaN(frequency) || frequency < 0) {
    alert('Please fill in valid settings.');
    return;
  }

  chrome.storage.local.set({ endpoint, frequency }, () => {
    updateStartButton(true);
  });
});

window.onload = function() {
  chrome.storage.local.get(['endpoint', 'frequency'], (data) => {
    if (data.endpoint) {
      document.getElementById('endpoint').value = data.endpoint;
      document.getElementById('request_frequency').value = data.frequency;
      updateStartButton(true);
    }
  });
};

function updateStartButton(isStart) {
  const startBtn = document.getElementById('startBtn');
  if (isStart) {
    startBtn.disabled = false;
  } else {
    startBtn.disabled = true;
  }
}


document.getElementById('startBtn').addEventListener('click', () => {
  chrome.storage.local.get(['endpoint', 'frequency'], (data) => {
    if (!data.endpoint) {
      alert('Please save settings first.');
      return;
    }

    chrome.tabs.create({ url: data.endpoint }, (tab) => {
      chrome.storage.local.set({ [tab.id.toString()]: true }, () => {
        console.log('Tab ID saved:', tab.id);
      });
    });
  });
});



